{% extends 'base.html.twig' %}

{% block title %}Task index{% endblock %}

{% block body %}
{#    {{ dump(tasks) }}#}
<div class="container">
    <h1>Zadania do wykonania</h1>

    <table class="table">
        <thead>
        <tr>
            <th>Data</th>
            <th>Zawartość</th>
            <th>Priorytet</th>
            <th>Osoba odpowiedzialna</th>
            <th>actions</th>
        </tr>
        </thead>
        <tbody>
        {% for task in tasks %}
            <tr>
                <td>{{ task.date ? task.date|date('Y-m-d') : '' }}</td>
                <td>{{ task.content }}</td>
                <td>{% if task.priority == 0 %}
                        <p>niski</p>
                    {% elseif task.priority == 1 %}
                        <p>średni</p>
                    {% else %}
                        <p>wysoki</p>
                    {% endif %}
                </td>
                <td><p> {{ task.responsibleUser.email }}</p></td>
                <td>
                    <a href="{{ path('task_show', {'id': task.id}) }}">show</a>
                    <a href="{{ path('task_edit', {'id': task.id}) }}">edit</a>
                    <a href="{{ path('task_done', {'id': task.id}) }}">done</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="6">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <h1>Wykonane zadania</h1>

    <table class="table">
        <thead>
        <tr>
            <th>Data</th>
            <th>Zawartość</th>
            <th>Priorytet</th>
            <th>Osoba odpowiedzialna</th>
            <th>actions</th>
        </tr>
        </thead>
        <tbody>
        {% for completedTask in completedTasks %}
            <tr>
                <td>{{ completedTask.date ? completedTask.date|date('Y-m-d') : '' }}</td>
                <td>{{ completedTask.content }}</td>
                <td>{% if completedTask.priority == 0 %}
                        <p>niski</p>
                    {% elseif completedTask.priority == 1 %}
                        <p>średni</p>
                    {% else %}
                        <p>wysoki</p>
                    {% endif %}
                </td>
                <td> {{ completedTask.responsibleUser.email }} </td>
                <td>
                    <a href="{{ path('task_show', {'id': completedTask.id}) }}">show</a>
                    <a href="{{ path('task_edit', {'id': completedTask.id}) }}">edit</a>
                    <a href="{{ path('not_done', {'id': completedTask.id}) }}">task_not_completed</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="6">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('task_new') }}">Create new</a>

</div>


{% endblock %}
